echo off
rem This script will copy all files for 
rem the supplied 3 letter database, to diskette 
rem on device a:

if .%1 == . goto :nof
IF .%2 == . goto :nof
IF .%mpdir% == . SET mpdir=c:\mobpages\psion
IF %2 == a goto :dirchk
IF %2 == A goto :dirchk
IF %2 == b goto :dirchk
IF %2 == B goto :dirchk
IF %2 == m goto :dirchk
IF %2 == M goto :dirchk
goto :nof

:dirchk
IF EXIST %mpdir%\dev-%2\app\pages\nul GOTO :diryes
CLS
echo.
ECHO The directory %mpdir%\dev-%2\app\pages does not exist!
ECHO The files to be converted were expected to be found in this directory.
echo.
GOTO :END

:diryes
cd %mpdir%\dev-%2\app\pages
goto :cont1

:nof
cls
echo.
echo FIRST parameter must be a 3 character database code
echo.
echo SECOND parameter must be either :
echo   M      - Files to copy are located on Internal memory (dev-m)
echO   A      - Files to copy are located on device A
echo   B      - Files to copy are located on device B
echo.
echo EXAMPLE : \mpadd mp1 M
echo ... Add the database files defined by the 3 letter code 'mp1',
echo     to the diskette in drive A.
echo     The files to copy are located on device M, ie internal
echo     memory, of the Psion Emulator.  This would normally mean the
echo     file is located in c:\mobpages\psion\dev-m\app\pages\.
echo.
goto :end

:cont1
echo.
echo *********************************
echo Copying database  %1  to diskette
echo ********************************
echo.
c:             

cd %mpdir%\dev-%2
IF %1 == tmu goto :inilab
IF %1 == exu goto :inilab
IF %1 == wpd goto :inilab
IF %1 == cnn goto :inilab
goto :any

:inilab
Echo copying %1_ini.ini to diskette as pages.ini
copy %1_ini.ini a:\pages.ini
goto :frm 

:any
rem                       Don't copy pages.ini for Transmedia or Expotel, as
rem                       they have their own!
if %1 == tma goto :frm
if %1 == exi goto :frm
if %1 == exn goto :frm
if %1 == exs goto :frm
if %1 == exo goto :frm

if exist pages.ini :goto :ini
cls
ECHO 'pages.ini' was not found.
goto :frm

:ini
copy pages.ini a:\

:frm
cd app\pages
IF %1 == tmu copy tmu_form.frm a:\apply.txt
if %1 == tmu copy readme.tmu a:\readme.1st
if %1 == exu copy readme.exu a:\readme.1st
if %1 == wpd copy readme.wpd a:\readme.1st
if %1 == cnn copy readme.cnn a:\readme.1st

if exist %1_db.mpf goto :cont2
cls
echo.
echo The database file '%1_db.mpf' was not found.
echo Either you are you in the wrong directory or
echo you must specify a different 3 character database code.
echo.
goto :end

:cont2
a:
md \app
cd \app
md pages
cd \app\pages
c:
echo Copying files ....
if exist %1_grp.dbf copy %1_grp.dbf a:
if exist %1_type.mpf copy %1_type.mpf a:
if exist %1_db.mpf copy %1_db.mpf a:
if exist %1_db.idx copy %1_db.idx a:
if exist %1_db2.idx copy %1_db2.idx a:
if exist %1_pcod.mpf copy %1_pcod.mpf a:
if exist %1_help.rsc copy %1_help.rsc a:
if exist %1_drpa.pic copy %1_drpa.pic a:
if exist %1_tplt.mpf copy %1_tplt.mpf a:
if exist %1_adva.dbf copy %1_adva.dbf a:
if exist %1_cfg.mpf copy %1_cfg.mpf a:
if exist %1_unit.mpf copy %1_unit.mpf a:
if exist mp_%11.rsc copy mp_%11.rsc a:
copy mp_auto.dbf a:
a:
cd \
c:
copy readme.2nd a:\
cd \
ECHO ***********************************
Echo Database   %1    copied to diskette
echo ***********************************

:end

