rem     This .bat file converts a menu file, created automatically
rem     within PAGESgen, to a TAB delimited .txt file.

@echo off
cls
if .%1 == . goto nof
IF .%mpdir% == . SET mpdir=c:\mobpages\psion
IF .%2 == . goto :cont1
IF %2 == a goto :dirchk
IF %2 == A goto :dirchk
IF %2 == b goto :dirchk
IF %2 == B goto :dirchk
IF %2 == m goto :dirchk
IF %2 == M goto :dirchk
goto :nof

:dirchk
IF EXIST %mpdir%\dev-%2\app\pages\nul GOTO :diryes
CLS
echo.
ECHO The directory %mpdir%\dev-%2\app\pages does not exist!
ECHO The file to be converted was expected to be found in this directory.
echo.
GOTO :END

:diryes
cd %mpdir%\dev-%2\app\pages
goto cont1

:nof
cls
echo.
echo FIRST parameter must be a 3 character database code
echo.
echo SECOND parameter must be either :
echo   M      - Files to compress are located on Internal memory (dev-m)
echO   A      - Files to compress are located on device A
echo   B      - Files to compress are located on device B
echo.
echo EXAMPLE : \mpmenu mp1 M
echo ... Convert the MENU file defined by the 3 letter code 'mp1', to
echo     a TAB delimited .txt file.
echo     The database to compress is located on device M, ie internal
echo     memory, on the Psion Emulator.  This would normally mean the
echo     file is located in c:\mobpages\psion\dev-m\app\pages\.
echo.
GOTO :end

:cont1

rem Check .dbf file exists (produced from MobUtil/Database/Prepare)
If exist %1_menu.dbf goto :cont2
echo --------------------------------------------
echo       File %1_menu.dbf does not exist.
echo Check you are in the correct directory !!!
echo --------------------------------------------
goto :end

:cont2
cls
echo. 
echo    Commencing file conversion ...
echo     Output file = %1_menu.txt
echo.
cd %mpdir%\dev-b\app\pages
dbf2text -D^i -O%1_menu %1_menu
goto end:

:end


